Subject: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video Coding (VVC)"

From: Bernard Aboba <[email-masked]>
Date: Wed, 19 Jan 2022 11:38:01 -0800

This is an announcement of Working Group Last Call (WGLC) on "RTP
Payload Format for Versatile Video Coding (VVC)".

The document is available for inspection here:
https://datatracker.ietf.org/doc/draft-ietf-avtcore-rtp-vvc/
<http://https//datatracker.ietf.org/doc/draft-ietf-avtcore-rtp-vvc/>

WGLC will last until February 4, 2022 midnight Pacific Time.

In response, please reply with one of the following:

* I support publication of the document as is.
* I support publication of the document, but have comments (please include
details)
* I object to publication of the document, based on the following issues
(please include details),

Bernard
For the Chairs

---

From: Stephan Wenger <[email-masked]>
Date: Wed, 19 Jan 2022 20:58:43 +0000

Obviously, as a co-author, I support “as is”.
S.

From: avt <[email-masked]> on behalf of Bernard Aboba <[email-masked]>
Date: Wednesday, January 19, 2022 at 11:38
To: IETF AVTCore WG <[email-masked]>
Subject: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video Coding (VVC)"

This is an announcement of Working Group Last Call (WGLC) on "RTP Payload Format for Versatile Video Coding (VVC)".

https://datatracker.ietf.org/doc/draft-ietf-avtcore-rtp-vvc/<http://https/datatracker.ietf.org/doc/draft-ietf-avtcore-rtp-vvc/>

details)

Bernard

For the Chairs

---

From: "Sanchez de la Fuente, Yago" <[email-masked]>
Date: Wed, 19 Jan 2022 21:38:49 +0000

Same here.
Best regards,
Yago Sánchez

---
Department Video Communication and Applications
Group Multimedia Communications

Fraunhofer HHI - Heinrich Hertz Institute
Einsteinufer 37, 10587 Berlin, Germany
http://www.hhi.fraunhofer.de/ip/mc

Tel.: +49 30 310 02663
[email-masked]<mailto:[email-masked]>

On 19. Jan 2022, at 21:58, Stephan Wenger <[email-masked]<mailto:[email-masked]>> wrote:

From: avt <[email-masked]<mailto:[email-masked]>> on behalf of Bernard Aboba <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, January 19, 2022 at 11:38
To: IETF AVTCore WG <[email-masked]<mailto:[email-masked]>>
Subject: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video Coding (VVC)"

details)

Bernard

For the Chairs

_______________________________________________
Audio/Video Transport Core Maintenance
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/avt

---

From: "Ye-Kui Wang" <[email-masked]>
Date: Wed, 19 Jan 2022 17:56:04 -0800

Same here.

BR, YK

From: avt <[email-masked]> On Behalf Of Sanchez de la Fuente, Yago
Sent: Wednesday, January 19, 2022 13:39
To: Stephan Wenger <[email-masked]>
Cc: IETF AVTCore WG <[email-masked]>
Subject: [External] Re: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video Coding (VVC)"

Same here. 

Best regards,

Yago Sánchez

---

Tel.: +49 30 310 02663

[email-masked] <mailto:[email-masked]> 

On 19. Jan 2022, at 21:58, Stephan Wenger <[email-masked] <mailto:[email-masked]> > wrote:

S.

From: avt <[email-masked] <mailto:[email-masked]> > on behalf of Bernard Aboba <[email-masked] <mailto:[email-masked]> >
Date: Wednesday, January 19, 2022 at 11:38
To: IETF AVTCore WG <[email-masked] <mailto:[email-masked]> >
Subject: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video Coding (VVC)"

The document is available for inspection here: 
 <http://https/datatracker.ietf.org/doc/draft-ietf-avtcore-rtp-vvc/> https://datatracker.ietf.org/doc/draft-ietf-avtcore-rtp-vvc/

 
 
Bernard
For the Chairs

_______________________________________________
Audio/Video Transport Core Maintenance
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/avt

---

From: Mach Chen <[email-masked]>
Date: Thu, 20 Jan 2022 09:21:18 +0000

Hi,

I have read the draft, and I support publication of the document, but have some comments.

Comments:
1. Introduction:
".. is currently in the ITU-T publication process and the ISO/
   IEC approval process. "
I am not sure this statement is still right for now, the VCC should have been formally published for a while.

2. All abbreviations should be expanded when first use, for example, HEVC, RTP, etc.

3. Section 1.1
s/we provide/it provides

4. Regarding section 1.1.1 - 1.1.4, section 1.1.1-1.1.3 are indicated as "informative", but section 1.1.4 is not? What's the intention behind this?  For those informative sections, maybe it's better to move them to the Appendix section.

5. Section 11, IANA Consideration.
This section is not complete, needs to list all relevant IANA allocation requests here, at least, the media type. 

6. BTW, the idnits tool shows that there some issues needed to be addressed.

Best regards,
Mach

> 
> From: avt [mailto:[email-masked]] On Behalf Of Bernard Aboba
> Sent: Thursday, January 20, 2022 3:38 AM
> This is an announcement of Working Group Last Call (WGLC) on "RTP Payload
> Format for Versatile Video Coding (VVC)".
>

---

From: "Schierl, Thomas" <[email-masked]>
Date: Thu, 20 Jan 2022 10:44:53 +0000

I support the publication of the document as is. Good work!

Best regards,

Thomas Schierl

From: avt <[email-masked]> on behalf of Bernard Aboba <[email-masked]>
Date: Wednesday, 19. January 2022 at 20:38
To: IETF AVTCore WG <[email-masked]>
Subject: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video Coding (VVC)"

 

 
Bernard
For the Chairs

---

From: Stephan Wenger <[email-masked]>
Date: Wed, 26 Jan 2022 15:48:33 +0000

Thanks Mach.  Good comments.  Pls see inline.

Stephan

On 1/20/22, 01:21, "avt on behalf of Mach Chen" <[email-masked] on behalf of mach.chen=[email-masked]> wrote:

    Hi,

    Comments:

    1. Introduction:

       IEC approval process. "

I don’t think ISO has published yet, so the statement remains correct.  However, given the advanced state of the approval process in ISO, I think it would be safe to say that the ITU has published, and ISO will publish very soon.  In order not to arrive with a stale statement, let me suggest to modify as indicated and to add an edt. note and let the RFC editor sort this out last minute.

Yes and no.  There are a few acronyms, such as “RTP” that do not need to be spelled out.  “HEVC” would indeed need to be spelled out, and we may have missed a few others.  We will fix HEVC in the revision we need to produce for the IANA section (see below).  If there were others, I propose we leave this to the RFC editor.  They are quite good in catching such formalities.

    3. Section 1.1

    s/we provide/it provides

No.  Either “this memo provides” or “we (the authors) provide”.  Both are commonly used in RFCs.

    4. Regarding section 1.1.1 - 1.1.4, section 1.1.1-1.1.3 are indicated as "informative", but section 1.1.4 is not? What's the intention behind this?

The content of 1.1.4 is normatively used throughout the doc, hence it’s not informative.

For those informative sections, maybe it's better to move them to the Appendix section.

Here, we follow the practice of previous RTP payload formats as originally established, I believe, in RFC3984.  I would be hesitant to make that change.

How did we miss that???  Thanks for spotting.  Yes, we need to add the IANA considerations as we request a new media type.  Stay tuned for a rev-ed spec.

Yep.

    Best regards,

    Mach

    > Subject: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video

    > Coding (VVC)"

    [email-masked]

---

From: Stephan Wenger <[email-masked]>
Date: Wed, 26 Jan 2022 16:04:26 +0000

All:
Regarding the missing “IANA Considerations” section: following the logic of previous payload formats, I think we need only a single sentence:
“A new media type, as specified in Section 7.1 of this memo, has been registered with IANA.”.
As this is such a small change, perhaps the chairs could just add it to the writeup and we don’t have to rev the spec after all?
S.

From: avt <[email-masked]> on behalf of Stephan Wenger <[email-masked]>
Date: Wednesday, January 26, 2022 at 07:48
To: Mach Chen <mach.chen=[email-masked]>, Bernard Aboba <[email-masked]>, IETF AVTCore WG <[email-masked]>
Subject: Re: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video Coding (VVC)"

Stephan

    Hi,

    Comments:

    1. Introduction:

       IEC approval process. "

    3. Section 1.1

    s/we provide/it provides

Yep.

    Best regards,

    Mach

    [email-masked]

---

From: Mach Chen <[email-masked]>
Date: Sat, 29 Jan 2022 02:05:34 +0000

Hi Stephan,

Thanks for considering my comments, please see some responses inline…

Best regards,
Mach

From: Stephan Wenger [mailto:[email-masked]]
Sent: Wednesday, January 26, 2022 11:49 PM
To: Mach Chen <[email-masked]>; Bernard Aboba <[email-masked]>; IETF AVTCore WG <[email-masked]>
Subject: Re: [AVTCORE] WG Last Call on "RTP Payload Format for Versatile Video Coding (VVC)"

Stephan

On 1/20/22, 01:21, "avt on behalf of Mach Chen" <[email-masked] on behalf of mach.chen=[email-masked]<mailto:[email-masked]%20on%20behalf%20of%20mach.chen=[email-masked]>> wrote:

    Hi,

    Comments:

    1. Introduction:

       IEC approval process. "

[Mach] Great, maybe one way to solve that is to remove the state statement from document, its mission was done when it was accepted as a WG document ☺

    3. Section 1.1

    s/we provide/it provides

[Mach] OK, I’ll let you to decide how to handle it.

Yep.

    Best regards,

    Mach